Yate: GenPointer< Obj > Class Template Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GenPointer< Obj > Class Template Reference

Templated pointer that can be inserted in a list. More...

`#include <yateclass.h>`

Inheritance diagram for GenPointer< Obj >:

## Public Member Functions
| GenPointer ()
| GenPointer (const GenPointer< Obj > &value)
| GenPointer (Obj *object)
GenPointer< Obj > & | operator= (const GenPointer< Obj > &value)
GenPointer< Obj > & | operator= (Obj *object)
| operator Obj * () const
Obj * | operator-> () const
Obj & | operator* () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

### template<class Obj = GenObject>
class TelEngine::GenPointer< Obj >

Templated pointer that can be inserted in a list.

## Constructor & Destructor Documentation

GenPointer | ( |  | ) |
| inline

Default constructor - creates a null pointer

GenPointer | ( | const GenPointer< Obj > & | value | ) |
| inline

Copy constructor

Parameters

  value | Original GenPointer

GenPointer | ( | Obj * | object | ) |
| inline

Constructs an initialized pointer

Parameters

  object | Pointer to object

## Member Function Documentation

operator Obj * | ( |  | ) | const
| inline

Conversion to regular pointer operator

Returns
  The stored pointer

Obj& operator* | ( |  | ) | const
| inline

Dereferencing operator

Obj* operator-> | ( |  | ) | const
| inline

Member access operator

GenPointer<Obj>& operator= | ( | const GenPointer< Obj > & | value | ) |
| inline

Assignment from another GenPointer

GenPointer<Obj>& operator= | ( | Obj * | object | ) |
| inline

Assignment from regular pointer

The documentation for this class was generated from the following file:

- yateclass.h